WPS8TextStyle::FontData Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WPS8TextStyle::FontData Struct Reference

`#include <WPS8TextStyle.h>`

## Public Types
enum | { T_None =0, T_Object =2, T_Footnote =3, T_Endnote =4, T_Field =5, T_Comment =6 }
enum | { F_None =0, F_PageNumber =-1, F_Date =-4, F_Time =-5 }

## Public Member Functions
| FontData ()
std::string | format () const
| returns a format to used with strftime More...

## Public Attributes
int | m_type
| the main type: footnote, ... More...
int | m_fieldType
| the field type: pagenumber, data, time, ... More...
int | m_fieldFormat
| the field format More...

## Friends
std::ostream & | operator<< (std::ostream &o, FontData const &fData)
| operator << More...

## Member Enumeration Documentation

anonymous enum

Enumerator
T_None |
T_Object |
T_Footnote |
T_Endnote |
T_Field |
T_Comment |

anonymous enum

Enumerator
F_None |
F_PageNumber |
F_Date |
F_Time |

## Constructor & Destructor Documentation

WPS8TextStyle::FontData::FontData | ( |  | ) |
| inline

## Member Function Documentation

std::string WPS8TextStyle::FontData::format | ( |  | ) | const

returns a format to used with strftime

Referenced by WPS8Text::readText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPS8TextStyle::FontData const & | fData
| ) |  |
| friend

operator <<

## Member Data Documentation

int WPS8TextStyle::FontData::m_fieldFormat

the field format

Referenced by operator<<(), and WPS8TextStyle::readFont().

int WPS8TextStyle::FontData::m_fieldType

the field type: pagenumber, data, time, ...

Referenced by operator<<(), WPS8TextStyle::readFont(), and WPS8Text::readText().

int WPS8TextStyle::FontData::m_type

the main type: footnote, ...

Referenced by operator<<(), WPS8TextStyle::readFont(), and WPS8Text::readText().

The documentation for this struct was generated from the following files:

- WPS8TextStyle.h
- WPS8TextStyle.cpp